/* config.h 
	vi:ts=3 sw=3:
 */

/* Configuration for Sparc */

#ifdef __svr4__
#ifndef SOLARIS
#define SOLARIS
#endif
#define IS_POSIX
#else
#define ONLY_BCOPY
#endif

#define USE_TERMIOS
#define XTERM
#undef USE_SGTTY		/* You can use this, but it's discouraged */
#include <stdio.h>


/* #define SOLARIS */
#define P(args) args
/* #define P(x) ()	*/

/*#define ID(x)*/
#define ID(x)  LOCAL char id[]= x ; 
/* #define USE_AT_EXIT */

#define KLUDGE_TAG 		/* not implemented yet */
#define GZIP 		
/* #define FORKING	*/
/*	#define void		*/

#define stricmp	strcasecmp

typedef void *GENERIC;
/* typedef char *GENERIC; */

#define MALLOC_NOT_IN_STDLIB
#if defined(SOLARIS) && defined(USE_SGTTY)
#define BSD_COMP
#endif

#define IOCTL_IS_REDUNDANT
/* prototypes for gcc */
#ifndef SOLARIS
XT int strcasecmp P((char *s1, char *s2));
XT int getpgrp P((int pid));
#else
XT int getpgrp P((void));
#endif
XT int isatty P((int fd));
XT int ioctl P((int fd, int request, void * arg));
XT int read P((int fd, char *buf, int nbyte));
XT void bcopy P((void *b1, void *b2, int length));

